Package org.gdal.gdal

# Class Relationship

java.lang.Object
org.gdal.gdal.Relationship

public class Relationship extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Relationship(String name, String leftTableName, String rightTableName, int cardinality)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `delete()`
  `boolean`
  `equals(Object obj)`
  `String`
  `GetBackwardPathLabel()`
  `int`
  `GetCardinality()`
  `int`
  `GetFieldType()`
  `String`
  `GetForwardPathLabel()`
  `Vector`
  `GetLeftMappingTableFields()`
  `Vector`
  `GetLeftTableFields()`
  `String`
  `GetLeftTableName()`
  `String`
  `GetMappingTableName()`
  `String`
  `GetName()`
  `String`
  `GetRelatedTableType()`
  `Vector`
  `GetRightMappingTableFields()`
  `Vector`
  `GetRightTableFields()`
  `String`
  `GetRightTableName()`
  `int`
  `hashCode()`
  `void`
  `SetBackwardPathLabel(String pszLabel)`
  `void`
  `SetForwardPathLabel(String pszLabel)`
  `void`
  `SetLeftMappingTableFields(Vector pFields)`
  `void`
  `SetLeftTableFields(Vector pFields)`
  `void`
  `SetMappingTableName(String pszName)`
  `void`
  `SetRelatedTableType(String pszType)`
  `void`
  `SetRightMappingTableFields(Vector pFields)`
  `void`
  `SetRightTableFields(Vector pFields)`
  `void`
  `SetType(int type)`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Relationship

    public Relationship(String name, String leftTableName, String rightTableName, int cardinality)

- ## Method Details

  - ### delete

    public void delete()

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### GetName

    public String GetName()

  - ### GetCardinality

    public int GetCardinality()

  - ### GetLeftTableName

    public String GetLeftTableName()

  - ### GetRightTableName

    public String GetRightTableName()

  - ### GetMappingTableName

    public String GetMappingTableName()

  - ### SetMappingTableName

    public void SetMappingTableName(String pszName)

  - ### GetLeftTableFields

    public Vector GetLeftTableFields()

  - ### GetRightTableFields

    public Vector GetRightTableFields()

  - ### SetLeftTableFields

    public void SetLeftTableFields(Vector pFields)

  - ### SetRightTableFields

    public void SetRightTableFields(Vector pFields)

  - ### GetLeftMappingTableFields

    public Vector GetLeftMappingTableFields()

  - ### GetRightMappingTableFields

    public Vector GetRightMappingTableFields()

  - ### SetLeftMappingTableFields

    public void SetLeftMappingTableFields(Vector pFields)

  - ### SetRightMappingTableFields

    public void SetRightMappingTableFields(Vector pFields)

  - ### GetFieldType

    public int GetFieldType()

  - ### SetType

    public void SetType(int type)

  - ### GetForwardPathLabel

    public String GetForwardPathLabel()

  - ### SetForwardPathLabel

    public void SetForwardPathLabel(String pszLabel)

  - ### GetBackwardPathLabel

    public String GetBackwardPathLabel()

  - ### SetBackwardPathLabel

    public void SetBackwardPathLabel(String pszLabel)

  - ### GetRelatedTableType

    public String GetRelatedTableType()

  - ### SetRelatedTableType

    public void SetRelatedTableType(String pszType)